Get stream
curl --request GET \
--url https://api.tenbyte.io/v1/livestream/streams/{streamId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tenbyte.io/v1/livestream/streams/{streamId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tenbyte.io/v1/livestream/streams/{streamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenbyte.io/v1/livestream/streams/{streamId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.tenbyte.io/v1/livestream/streams/{streamId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.tenbyte.io/v1/livestream/streams/{streamId}")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.tenbyte.io/v1/livestream/streams/{streamId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/livestream/streams/{streamId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "Fetched Successfully",
"data": {
"id": "0000cf2e-ae90-46bc-b119-f5f626258434",
"organization_id": "7f8c3a2e-1d4b-4e5a-9c6d-2b8e1f3a4d5c",
"name": "Live TV Channel",
"type": "linear",
"mode": "video",
"status": "live",
"region": "sg-edge-04",
"stream_key": "9f4c8a1e-2b6d-4e3f-8a7c-1d5b9e6f3a2c",
"ingest": {
"kind": "push",
"protocols": [
"rtmp",
"srt"
],
"rtmp": "rtmp://ingest.sg.vidinfra.com:1935/live",
"srt": "srt://ingest.sg.vidinfra.com:9710?streamid=#!::r=live/9f4c8a1e-2b6d-4e3f-8a7c-1d5b9e6f3a2c,m=publish"
},
"output_protocols": [
"hls",
"dash"
],
"ladder": {
"video": [
{
"name": "720p",
"width": 1280,
"height": 720,
"fps": 25,
"gop": 50,
"bitrate_kbps": 1500,
"max_bitrate_kbps": 2000,
"buf_size_kbps": 4000,
"crf": 23,
"codec": "h264",
"preset": "veryfast",
"profile": "main",
"level": "4.0",
"rate_control": "cbr",
"ref_frames": 1,
"rc_lookahead": 10,
"audio": {
"codec": "aac",
"channels": 2,
"sample_rate_hz": 48000,
"audio_bitrate_kbps": 96
}
}
]
},
"packaging": {
"hls": {
"segment_format": "mpegts",
"playlist_size": 6,
"low_latency": false
},
"dash": {
"segment_format": "fmp4",
"window_s": 60,
"min_buffer_s": 4
}
},
"playback": {
"hls": "https://cdn.vidinfra.com/0000cf2e-ae90-46bc-b119-f5f626258434/master.m3u8",
"dash": "https://cdn.vidinfra.com/0000cf2e-ae90-46bc-b119-f5f626258434/manifest.mpd"
},
"meta": {},
"last_live_at": "2026-04-26T11:00:00Z",
"created_at": "2026-04-26T10:15:30Z",
"updated_at": "2026-04-26T11:00:05Z"
}
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Missing authorization. Provide Authorization header or X-API-Key header."
}{
"success": false,
"code": "NOT_FOUND",
"message": "Resource not found."
}Streams
Get stream
GET
/
streams
/
{streamId}
Get stream
⌘I